Bug 15952 - Moving cataloging search actions into a drop-down menu
Summary: Moving cataloging search actions into a drop-down menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-01 23:11 UTC by Aleisha Amohia
Modified: 2016-12-05 21:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15952: Moving cataloging search actions into a drop-down menu (8.01 KB, patch)
2016-03-01 23:16 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15952: Moving cataloging search actions into a drop-down menu (8.21 KB, patch)
2016-03-02 07:14 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15952: Moving cataloging search actions into a drop-down menu (8.56 KB, patch)
2016-03-03 01:39 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15952: Moving cataloging search actions into a drop-down menu (6.77 KB, patch)
2016-03-03 01:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15952: Moving cataloging search actions into a drop-down menu (6.88 KB, patch)
2016-03-11 19:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15952: Moving cataloging search actions into a drop-down menu (6.72 KB, patch)
2016-03-15 03:19 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15952: Moving cataloging search actions into a drop-down menu (6.79 KB, patch)
2016-03-16 11:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15952: Add missing <tr> (1.02 KB, patch)
2016-03-16 11:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-01 23:11:51 UTC
Similar to Bug 15932, Bug 13778, Bug 15830
Comment 1 Aleisha Amohia 2016-03-01 23:16:54 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-02 07:14:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-02 07:20:19 UTC
Hi Aleisha, the datatables parts of your patch don't seem to show on the page - can you please check and remove if not needed? Please note - the page also has it's own paging for a lot of results, similar to the authorities.
Comment 4 Aleisha Amohia 2016-03-03 01:39:26 UTC Comment hidden (obsolete)
Comment 5 Aleisha Amohia 2016-03-03 01:42:22 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-03-11 19:20:30 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-03-14 16:45:34 UTC
Regression: this patch reintroduced lines deleted by bug 15927
Comment 8 Aleisha Amohia 2016-03-15 03:19:03 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2016-03-16 11:10:08 UTC
Created attachment 49213 [details] [review]
Bug 15952: Moving cataloging search actions into a drop-down menu

Edit: Have removed the datatables stuff - wasn't necessary. Also fixed a
merge conflict
Edit: Comment 7

To test:
1) Go to Cataloging and do a search in the catalog and reservoir
   (cataloguing/addbooks.pl)
2) Confirm that for the results found in catalog, the options (MARC and
   Card preview, Edit biblio, Add/edit items) are there and behave as
   expected.
3) Confirm that for the results found in reservoir, the options (MARC
   and Card preview, Add biblio) are there and behave as expected.
4) Set user permissions so that the user cannot edit the catalog or
   items. (editcatalogue -> edit_catalogue and edit_items)
5) Confirm that you no longer see the options to edit or add
   items/biblio in either table.

Sponsored-by: Catalyst IT

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Expected result following the test plan.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2016-03-16 11:10:12 UTC
Created attachment 49214 [details] [review]
Bug 15952: Add missing <tr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Brendan Gallagher 2016-03-23 21:05:35 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!